databaseChangeLog:
  - changeSet:
      id:  4
      author:  wanchalerm
      comment: password link profiles
      changes:
        - createTable:
            tableName:  profiles_password
            columns:
              - column:
                  name:  id
                  type:  INT
                  autoIncrement:  true
                  constraints:
                    primaryKey:  true
                    nullable:  false
              - column:
                  name:  password
                  type:  VARCHAR(64)
                  constraints:
                    nullable: false
              - column:
                  name:  salt_number
                  type:  INT
                  constraints:
                    nullable: false
              - column:
                  name:  created_timestamp
                  type:  TIMESTAMP(6)
                  defaultValueComputed: NOW(6)
                  constraints:
                    nullable: false
              - column:
                  name:  updated_timestamp
                  type:  TIMESTAMP(6)
                  defaultValueComputed: NOW(6)
                  constraints:
                    nullable: false
              - column:
                  name:  is_deleted
                  type:  TINYINT(1)
                  defaultValueNumeric: 0
                  constraints:
                    nullable: false
              - column:
                  name:  profile_id
                  type:  INT
                  constraints:
                    nullable: false
        - createIndex:
            clustered:  true
            columns:
              - column:
                  descending:  true
                  name:  profile_id
            indexName:  idx_password_profile_id
            tableName:  profiles_password